Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
agora::rtc::IVideoFrameAdapter Class Referenceabstract

`#include <video_node_i.h>`

Inherits agora::rtc::IVideoFilterEx.

## Public Member Functions
virtual void | setOutputFormat (const VideoFormat &format, bool fixed=false)=0
virtual void | setOutputFormat (const VideoDataPipeFormat &format, agora::Optional< VideoDataPipeFormat > &source_pipe_format_expected)
virtual void | setOutputRotation (webrtc::VideoRotation rotation)
virtual void | setMirror (bool mirror)
Public Member Functions inherited from agora::rtc::IVideoFilterEx
virtual void | adaptVideoFrameAsync (const webrtc::VideoFrame &inputFrame, std::shared_ptr< FrameProcessResult > resultSp)=0
virtual void | onSinkWantsChanged (const ::rtc::VideoSinkWants &wants)=0
bool | isExternal () override
virtual void | attachStatsSpace (uint64_t stats_space)
virtual void | setVideoQoEPusher (std::weak_ptr< VideoStatsEventsPusher > pusher)
virtual void | onDropFrame (agora::rtc::VideoQoEDropType drop_type)
virtual void | SetFilterId (std::string id)
Public Member Functions inherited from agora::rtc::IVideoFilter
virtual void | setEnabled (bool enable)
virtual bool | isEnabled ()
virtual int | setProperty (const char *key, const void *buf, size_t buf_size)
virtual int | getProperty (const char *key, void *buf, size_t buf_size)
virtual bool | onDataStreamWillStart ()
virtual void | onDataStreamWillStop ()
virtual bool | isExtensionFilter ()
Public Member Functions inherited from agora::rtc::IVideoFilterBase
virtual bool | adaptVideoFrame (const media::base::VideoFrame &capturedFrame, media::base::VideoFrame &adaptedFrame)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Member Functions
| ~IVideoFrameAdapter ()
Protected Member Functions inherited from agora::rtc::IVideoFilterEx
| ~IVideoFilterEx ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Detailed Description

Video frame adapter.

## Constructor & Destructor Documentation

## ◆ ~IVideoFrameAdapter()

agora::rtc::IVideoFrameAdapter::~IVideoFrameAdapter | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ setOutputFormat() [1/2]

virtual void agora::rtc::IVideoFrameAdapter::setOutputFormat | ( | const VideoFormat & | format,
|  | bool | fixed = false )
| pure virtual

## ◆ setOutputFormat() [2/2]

virtual void agora::rtc::IVideoFrameAdapter::setOutputFormat | ( | const VideoDataPipeFormat & | format,
|  | agora::Optional< VideoDataPipeFormat > & | source_pipe_format_expected )
| inlinevirtual

## ◆ setOutputRotation()

virtual void agora::rtc::IVideoFrameAdapter::setOutputRotation | ( | webrtc::VideoRotation | rotation | ) |
| inlinevirtual

## ◆ setMirror()

virtual void agora::rtc::IVideoFrameAdapter::setMirror | ( | bool | mirror | ) |
| inlinevirtual